Subject: Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Jambunathan K <[email-masked]>
Date: Tue, 23 Aug 2011 12:53:10 +0530

Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Jambunathan K <[email-masked]> writes:
>
>> Using input method tamil-itrans, there is no easy way to input character
>> #xbb4.
>
> It seems that usually "J" or "z" is assigned for that
> character in the Tamil itrans system, right?
>
> If so, please try the attached patch.  Does it work?

The attached patch works fine.

I was trying tamil-itrans for the first time and I find quail-help to be
a bit overwhelming. There are lots of characters that is displayed and
it is difficult to find the one that I am interested in inputting. In
some sense it is very confusing for first time user.

I believe it would be lot more helpful if the input table for vowels and
consonants be displayed upfront. I am attaching a table that I created
for myself during the process. You will find that the characters are
displayed in their natural order.

Independent Vowels
==================
a 	அ
aa 	ஆ
i 	இ
I 	ஈ
u 	உ
U 	ஊ
e 	எ
E 	ஏ
ai 	ஐ
o 	ஒ
O 	ஓ
au 	ஔ

Consonants
==========

k	க்
N^	ங் 
ch	ச்
~n, JN	ஞ்
T	ட் 
N	ண் 
t	த்
n	ந் 
p	ப்  
m	ம்
y	ய்
r	ர் 
l	ல்
z, J	ழ
L	ள் 
rh	ற்
v	வ் 
nh	ன் 

Very rarely used 
================

No input methods for these. In general do they have one?

ஷ
ஸ
ஹ